Inventory
Get Inventory Item
Retrieve a single inventory item
GET
/
inventory
/
{itemId}
cURL
curl --request GET \
--url https://api.beachdepository.com/v1/inventory/jk7inv456 \
--header 'Authorization: Bearer <token>'
const response = await fetch("https://api.beachdepository.com/v1/inventory/jk7inv456", {
method: "GET",
headers: {
Authorization: "Bearer <token>",
},
})
const data = await response.json()
import requests
response = requests.get(
"https://api.beachdepository.com/v1/inventory/jk7inv456",
headers={
"Authorization": "Bearer <token>",
},
)
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.beachdepository.com/v1/inventory/jk7inv456"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
{
"data": {
"id": "jk7inv456",
"internalIdentifier": "100234",
"productId": "jh7prod123",
"ownerOrganizationId": "k57orgxyz",
"fboAccountId": "m97fbo456",
"openOutboundShipmentId": "jd7abc123xyz",
"status": "in_vault",
"valueCents": "412350",
"createdAt": "2025-04-01T14:00:00Z"
}
}
Returns a single inventory item by ID.
valueCents is the latest valuation of the item’s product, in cents.
List and get omit the item until it has been in_vault. pending_outbound and shipped_out stay on the item.
Authorizations
string
required
Send
Bearer <token> in this header. The key needs inventory:read.Path Parameters
string
required
cURL
curl --request GET \
--url https://api.beachdepository.com/v1/inventory/jk7inv456 \
--header 'Authorization: Bearer <token>'
const response = await fetch("https://api.beachdepository.com/v1/inventory/jk7inv456", {
method: "GET",
headers: {
Authorization: "Bearer <token>",
},
})
const data = await response.json()
import requests
response = requests.get(
"https://api.beachdepository.com/v1/inventory/jk7inv456",
headers={
"Authorization": "Bearer <token>",
},
)
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.beachdepository.com/v1/inventory/jk7inv456"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
{
"data": {
"id": "jk7inv456",
"internalIdentifier": "100234",
"productId": "jh7prod123",
"ownerOrganizationId": "k57orgxyz",
"fboAccountId": "m97fbo456",
"openOutboundShipmentId": "jd7abc123xyz",
"status": "in_vault",
"valueCents": "412350",
"createdAt": "2025-04-01T14:00:00Z"
}
}
⌘I
cURL
curl --request GET \
--url https://api.beachdepository.com/v1/inventory/jk7inv456 \
--header 'Authorization: Bearer <token>'
const response = await fetch("https://api.beachdepository.com/v1/inventory/jk7inv456", {
method: "GET",
headers: {
Authorization: "Bearer <token>",
},
})
const data = await response.json()
import requests
response = requests.get(
"https://api.beachdepository.com/v1/inventory/jk7inv456",
headers={
"Authorization": "Bearer <token>",
},
)
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.beachdepository.com/v1/inventory/jk7inv456"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
{
"data": {
"id": "jk7inv456",
"internalIdentifier": "100234",
"productId": "jh7prod123",
"ownerOrganizationId": "k57orgxyz",
"fboAccountId": "m97fbo456",
"openOutboundShipmentId": "jd7abc123xyz",
"status": "in_vault",
"valueCents": "412350",
"createdAt": "2025-04-01T14:00:00Z"
}
}